// evaljitn.c: the JIT code execution machine, with no debugging checks
//
// R : A Computer Language for Statistical Data Analysis
// Copyright (C) 1995, 1996    Robert Gentleman and Ross Ihaka
// Copyright (C) 1998--2006    The R Development Core Team.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, a copy is available at
// http://www.r-project.org/Licenses/

#define DEBUG_JIT_EVAL  0
#define EVAL_JIT        evalJitN
#define EVAL_JIT_STRING "evalJitN"

#include "evaljit.c"

SEXP evalJit(CSEXP e)
{
    return (jitDirective == 3)? evalJitD(e): evalJitN(e);
}
